--
--  password.ex
--
--  how to hide sensitive field information
--

include get.e
include dll.e

include bcform.e

--  main code

sequence password
sequence bcf

password = ""

while 1 do
  bcf = bcf_newform()

  bcf = bcf_addtext(bcf, 1, 1, "Password Demo")
  bcf = bcf_addtext(bcf, 2, 1, "^^^^^^^^^^^^^")
  
  bcf = bcf_addtext(bcf, 4, 1, "Password:")
  bcf = bcf_addfield_pw(bcf, 4, 11, 10, "password", password, '*')

  bcf = bcf_addtext(bcf, 6, 1, "F1=Login")
  bcf = bcf_addtext_rj(bcf, 6, 20, "F8=Exit")
  
  bcf = bcf_allowfkeys(bcf, "18")

  bcf = bcf_interact(bcf)
  
  password = bcf_fieldread(bcf, "password")

  if bcf_key(bcf) = BCF_FKEY1 then
    exit
  end if

  if bcf_key(bcf) = BCF_FKEY8 then
    clear_screen()
    abort(0)
  end if
end while

bcf = bcf_newform()

bcf = bcf_addutext(bcf, 1, 1, "Login", '=')

bcf = bcf_addtext(bcf, 4, 1, sprintf("You will login using \"%s\" as your password.", {password}))

bcf = bcf_addtext_rj(bcf, 6, 20, "F8=Exit")

bcf = bcf_addfield(bcf, 7, 1, 0, "dummy", "")

bcf = bcf_allowfkeys(bcf, "8")

bcf = bcf_interact(bcf)

clear_screen()

abort(0)

-- end of file
