--
--  field.ex
--
--  data input using basic character forms
--

include get.e
include dll.e

include bcform.e

--  main code

sequence bcf
sequence name

bcf = bcf_newform()

bcf = bcf_addtext(bcf, 1, 1, "Please type your name:")

bcf = bcf_addfield(bcf, 3, 1, 40, "name", "")

bcf = bcf_addtext(bcf, 5, 1, "Press F1 to continue.")

bcf = bcf_allowfkeys(bcf, "1")

bcf = bcf_interact(bcf)
  
name = bcf_fieldread(bcf, "name")

bcf = bcf_newform()

bcf = bcf_addtext(bcf, 1, 1, sprintf("Your name is \"%s\".", {name}))

bcf = bcf_addtext(bcf, 3, 1, "Press F8 to exit.")

bcf = bcf_addfield(bcf, 24, 1, 0, "dummy", "")

bcf = bcf_allowfkeys(bcf, "8")

bcf = bcf_interact(bcf)

clear_screen()

abort(0)

-- end of file
