--
--  fkey.ex
--
--  work out which function key was pressed on a basic character form
--

include get.e
include dll.e

include bcform.e

--  main code

sequence bcf
integer  fkey
sequence fkeytext

bcf = bcf_newform()

bcf = bcf_addtext(bcf, 1, 1, "Press one of the following function keys:")

for i = 1 to 8 do
  bcf = bcf_addtext(bcf, 2+i, 9, sprintf("F%d", {i}))
end for

bcf = bcf_addfield(bcf, 24, 1, 0, "dummy", "")

bcf = bcf_interact(bcf)

fkey = bcf_key(bcf)

if fkey = BCF_FKEY1 then
  fkeytext = "F1"
elsif fkey = BCF_FKEY2 then
  fkeytext = "F2"
elsif fkey = BCF_FKEY3 then
  fkeytext = "F3"
elsif fkey = BCF_FKEY4 then
  fkeytext = "F4"
elsif fkey = BCF_FKEY5 then
  fkeytext = "F5"
elsif fkey = BCF_FKEY6 then
  fkeytext = "F6"
elsif fkey = BCF_FKEY7 then
  fkeytext = "F7"
elsif fkey = BCF_FKEY8 then
  fkeytext = "F8"
else
  fkeytext = "*Unknown*"
end if

bcf = bcf_newform()

bcf = bcf_addtext(bcf, 1, 1, sprintf("Function key %s was pressed.", {fkeytext}))

bcf = bcf_addtext(bcf, 3, 1, "Now press one of:")

for i = 1 to 8 do
  bcf = bcf_addtext(bcf, 4+i, 9, sprintf("F%d", {i}))
end for

bcf = bcf_addtext(bcf, 14, 1, "to exit.")

bcf = bcf_addfield(bcf, 24, 1, 0, "dummy", "")

bcf = bcf_interact(bcf)

clear_screen()

abort(0)

-- end of file
