--
--  progress.ex
--
--  a crude example of a text based progress bar
--

include get.e
include dll.e
include misc.e

include bcform.e

--  main code

sequence bcf
sequence bcf2
sequence bar

while 1 do
  bcf = bcf_newform()

  bcf = bcf_addutext(bcf, 5, 35, "Progress Bar", '=')

  bcf = bcf_addtext(bcf, 22, 1, "F1=Show Progress")
  bcf = bcf_addtext_rj(bcf, 22, 80, "F8=Exit")
  
  bcf = bcf_addfield(bcf, 23, 1, 0, "dummy", "")

  bcf = bcf_allowfkeys(bcf, "18")

  bcf = bcf_interact(bcf)
  
  if bcf_key(bcf) = BCF_FKEY1 then
    clear_screen()
    for i = 1 to 100 do
      bcf2 = bcf_newform()
      bcf2 = bcf_addtext(bcf2, 8, 34, "Please Wait")
      bcf2 = bcf_addtext(bcf2, 10, 38, sprintf("%d%%", {i}))
      bar = repeat('#', i/2)
      bcf2 = bcf_addtext(bcf2, 12, 16, bar)
      bcf_displayform(bcf2, 0)
      sleep(1)
    end for
  end if

  if bcf_key(bcf) = BCF_FKEY8 then
    clear_screen()
    abort(0)
  end if
end while

-- end of file
